### Hierarchy

- OfferManagerImpl

### Implements

- OfferManager

## Index

### Constructors

- constructor

### Methods

- deleteOffer
- getAllOffers
- getMyOffers
- getMyOffersByTag
- getOffersByOwnerAndTag
- saveOffer

## Constructors

### constructor

- new OfferManagerImpl(offerRepository: OfferRepository, authAccountBehavior: Observable<Account>): OfferManagerImpl

- - Defined in manager/OfferManagerImpl.ts:10

  #### Parameters

  - ##### offerRepository: OfferRepository

  - ##### authAccountBehavior: Observable<Account>

  #### Returns OfferManagerImpl

## Methods

### deleteOffer

- deleteOffer(id: number): Promise<number>

- Implementation of OfferManager.deleteOffer

  - Defined in manager/OfferManagerImpl.ts:43

  #### Parameters

  - ##### id: number

  #### Returns Promise<number>

### getAllOffers

- getAllOffers(): Promise<Array<Offer>>

- Implementation of OfferManager.getAllOffers

  - Defined in manager/OfferManagerImpl.ts:39

  #### Returns Promise<Array<Offer>>

### getMyOffers

- getMyOffers(id?: number): Promise<Array<Offer>>

- Implementation of OfferManager.getMyOffers

  - Defined in manager/OfferManagerImpl.ts:30

  #### Parameters

  - ##### Default value id: number = 0

  #### Returns Promise<Array<Offer>>

### getMyOffersByTag

- getMyOffersByTag(tag: string): Promise<Array<Offer>>

- Implementation of OfferManager.getMyOffersByTag

  - Defined in manager/OfferManagerImpl.ts:51

  #### Parameters

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### getOffersByOwnerAndTag

- getOffersByOwnerAndTag(owner: string, tag: string): Promise<Array<Offer>>

- Implementation of OfferManager.getOffersByOwnerAndTag

  - Defined in manager/OfferManagerImpl.ts:47

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<Offer>>

### saveOffer

- saveOffer(offer: Offer): Promise<Offer>

- Implementation of OfferManager.saveOffer

  - Defined in manager/OfferManagerImpl.ts:19

  #### Parameters

  - ##### offer: Offer

  #### Returns Promise<Offer>

Generated using TypeDoc